This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 202004 - Review Request: brandy
Review Request: brandy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-10 06:33 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 18:32:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-08-10 06:33:47 EDT
Spec URL: http://www.knox.net.nz/~nodoid/brandy.spec
SRPM URL: http://www.knox.net.nz/~nodoid/brandy-1.0.19-1.src.rpm
Description: 

Brandy is an open source, GPL implementation of BBC BASIC V. It comes with documentation and example in %{_docdir}.

I've not split the package into main binary and doc package as I'm not sure it warrants it!
Comment 1 Jason Tibbitts 2006-08-13 00:24:18 EDT
This package looks good and builds and runs fine, but you seem to leave out the
documentation and the examples, save for COPYING and READ.ME.  It looks liks
stuff  manually copied into _docdir doesn't get added to the package, yet you
can't manually list _docdir in %files.
Comment 2 Paul F. Johnson 2006-08-13 17:12:51 EDT
Spec URL: http://www.knox.net.nz/~nodoid/brandy.spec
SRPM URL: http://www.knox.net.nz/~nodoid/brandy-1.0.19-2.src.rpm

Fixes docdir problem and examples problem
Comment 3 Jason Tibbitts 2006-08-15 13:58:57 EDT
Finally my mirror is updated and I can build again.

This still builds fine and indeed all of the documentation and examples are
there.  However, there are a couple of issues:

Proper flags are not pased to the compiler.  I use this hack at the end of %prep
to get them passed properly; the resulting package still seems to work correctly:

perl -pi -e "s/^(CFLAGS.*=.*)/\1 %{optflags}/" makefile

I wonder if the examples would be more proper as documentation.  This would be
more in line with what I've seen in the past, but I don't think it's a blocker.

* source files match upstream:
   0aedef51e76cf07533d82fe4dcd89efa  brandy_119.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper (none!)
X compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* debuginfo package looks complete (even though the compiler flags are wrong, -g
is still passed)
* rpmlint is silent.
* final provides and requires are sane:
   brandy = 1.0.19-2.fc6
  =
   (no non-glibc or rpm dependencies)
* %check is not present; no test suite upstream.  Manual testing shows that
things at least install and run.  (My BASIC is not the best after a couple of
decades of disuse.)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
Comment 4 Paul F. Johnson 2006-08-16 17:17:31 EDT
Spec URL: http://www.knox.net.nz/~nodoid/brandy.spec

Updated the spec file (the src.rpm is the same)

Adds in the perl hack.
Comment 5 Jason Tibbitts 2006-08-16 23:52:14 EDT
Looks good to me.  The CFLAGS hack is kind of nasty but to my eyes it produces a
proper set of flags and the resulting package is fine.

I'm going to go ahead and approve this; I didn't get much guidance on the
subject of whether the examples should be included as %doc (instead of living in
%_datadir) so I'm not going to block on it.

APPROVED
Comment 6 Toshio Kuratomi 2006-08-17 15:16:59 EDT
Is there a justification for examples in %{_datadir}?  I see that you're even
copying them yourself....
Comment 7 Paul F. Johnson 2006-08-17 18:32:26 EDT
Where would be a better place that in %{_datadir}/%{name}-%{version}/examples? 
Comment 8 Toshio Kuratomi 2006-08-17 18:53:23 EDT
Why not::
%doc examples

Note You need to log in before you can comment on or make changes to this bug.